Broadcasts

Select winning A/B test variation

POST https://demo.notifuse.com/api/broadcasts.selectWinner

Manually selects the winning variation for an A/B test broadcast. The winning variation will be sent to the remaining audience. This endpoint is restricted in demo mode.

Authorizations

Authorization string header required

Bearer authentication header of the form Bearer <token>, where <token> is your API key.

Body application/json

workspace_id string required

The ID of the workspace

  • Example: ws_1234567890
id string required

ID of the broadcast

  • Example: broadcast_12345
template_id string required

Template ID of the winning variation

  • Example: template_variant_a

Response

200 Winner selected successfully object
success boolean
  • Example: true
400 Bad request - validation failed object
error string required

Error message

401 Unauthorized - invalid or missing authentication token object
error string required

Error message

500 Internal server error object
error string required

Error message